--
-- MMRearCam_nh
--
-- Rckfahr-Kamera
--
-- by MMAgrarservice
--

MMRearCam_nh = {};

function MMRearCam_nh.prerequisitesPresent(specializations)
    return true;
end;

function MMRearCam_nh:load()
	self.MMRearCam_nhPosX = 0.48;
	self.MMRearCam_nhWidth = 0.32;
	self.MMRearCam_nhPosY = 0.74;
	self.MMRearCam_nhHeight = 0.24;
        self.MMRearCam_nhFrame = Utils.getFilename("Textures/MMRearCamFrame.dds", self.baseDirectory);
	self.MMRearCam_nhFrameOverlay = Overlay:new("MMRearCamFrameOverlay", self.MMRearCam_nhFrame, self.MMRearCam_nhPosX, self.MMRearCam_nhPosY, self.MMRearCam_nhWidth, self.MMRearCam_nhHeight);
	self.showMMRearCam_nh = 0;
end;

function MMRearCam_nh:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MMRearCam_nh:keyEvent(unicode, sym, modifier, isDown)
end;

function MMRearCam_nh:update()
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.MMRearCam_nh) and self.isEntered then
			self.showMMRearCam_nh = self.showMMRearCam_nh+1;
			if self.showMMRearCam_nh == 2 then
				self.showMMRearCam_nh = 0;
			end;
		end;
	end;
end;
	
function MMRearCam_nh:draw()
	if self.showMMRearCam_nh == 0 then
		g_currentMission:addHelpButtonText(g_i18n:getText("MMRearCamOFF"), InputBinding.MMRearCam_nh);
		self.MMRearCam_nh = 0;
		link(self.rootNode, self.MMRearCam_nh);
		node = getRootNode(0);
		setRootNode(node, 1);
		setViewport(1, 0.48, 0.02, 0.32, 0.24);
		setCamera(self.MMRearCam_nh,1);
	elseif self.showMMRearCam_nh == 1 then
		g_currentMission:addHelpButtonText(g_i18n:getText("MMRearCamON"), InputBinding.MMRearCam_nh);
		self.MMRearCam_nh = createCamera("MMRearCam_nh", 90, 0.1, 100);
		link(self.rootNode, self.MMRearCam_nh);
		translate (self.MMRearCam_nh,0,4,-3);
		rotate(self.MMRearCam_nh,-0.8,0,0);
		node = getRootNode(0);
		setRootNode(node, 1);
		setViewport(1, 0.48, 0.02, 0.32, 0.24);
		setCamera(self.MMRearCam_nh,1);
		self.MMRearCam_nhFrameOverlay:render();
	end;
end;

function MMRearCam_nh:delete()
end;

function MMRearCam_nh:onLeave()
		self.MMRearCam_nh = 0;
		link(self.rootNode, self.MMRearCam_nh);
		node = getRootNode(0);
		setRootNode(node, 1);
		setViewport(1, 0.48, 0.02, 0.32, 0.24);
		setCamera(self.MMRearCam_nh,1);
end;
